> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new filesystem

> Create new filesystem



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.yaml post /filesystems
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /filesystems:
    post:
      tags:
        - filesystems
      summary: Create new filesystem
      description: Create new filesystem
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.Filesystem'
        description: Filesystem to create
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/remotefs.Filesystem'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.Filesystem:
      properties:
        dataPlaneId:
          type: string
        isDataPlaneDefault:
          type: boolean
        maxSnapshotsPerVolume:
          type: integer
        name:
          type: string
        rootPvc:
          type: string
        storageClass:
          type: string
      required:
        - dataPlaneId
        - isDataPlaneDefault
        - name
        - rootPvc
        - storageClass
      type: object
    remotefs.Filesystem:
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        dataPlaneId:
          type: string
        dataPlaneName:
          type: string
        hostname:
          description: Data plane prefix (e.g. mydp1029), "" for local data plane
          type: string
        id:
          type: string
        isDataPlaneDefault:
          type: boolean
        maxSnapshotsPerVolume:
          type: integer
        name:
          type: string
        numVolumes:
          type: integer
        rootPvc:
          type: string
        storageClass:
          type: string
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
      required:
        - createdAt
        - createdBy
        - dataPlaneId
        - dataPlaneName
        - id
        - isDataPlaneDefault
        - maxSnapshotsPerVolume
        - name
        - rootPvc
        - storageClass
        - updatedAt
        - updatedBy
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.UserSummary:
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
      required:
        - firstName
        - id
        - lastName
        - userName
      type: object

````